Jump to content


Photo

Tweaks: BG1 style weapon proficiencies - will they mess with NPCs?

install order

4 replies to this topic

#1 depehb

depehb
  • Members
  • 6 posts

Posted 05 June 2016 - 01:15 AM

I was making a new installation, installed bg2 tweaks followed by SCS and aTweaks and ran into a problem. The improved fiends component from aTweaks threw up an error: 

 

WARNING: minimum_proficiency received illegal arguments: value = 1, proficiency = -1

ERROR: cannot convert PROFICIENCYLONGSWORD or %PROFICIENCYLONGSWORD% to an integer

ERROR: [BALOR01.cre] -> [override] Patching Failed (COPY) (Not_found)
 
I immediately thought it's because of that bg2tweaks component with the BG1-style weapon profs that I installed, and I was right. After uninstalling it, aTweaks proceeded to install just fine.
 
I really like the BG1 proficiency system, and want to keep it, so I installed the proficiency tweak after that. And now I'm wondering whether this is gonna cause enemies to have botched proficiencies and get massive penalties and suck as a result of that? 


#2 Mike1072

Mike1072
  • Gibberling Poobah
  • 2338 posts
  • Gender:Male
  • Location:Canada

Posted 05 June 2016 - 02:30 AM

Nope, if you install it after mods that assign proficiencies you should be fine.

#3 depehb

depehb
  • Members
  • 6 posts

Posted 05 June 2016 - 03:22 AM

Nope, if you install it after mods that assign proficiencies you should be fine.

ATM my installation order is as follows: 

 

(...)

BGTweaks (everything except bg1-style proficiencies)

SCS

aTweaks

BGTweaks bg1-style proficiencies.

(...)

 

So you're saying that's ok?



#4 Mike1072

Mike1072
  • Gibberling Poobah
  • 2338 posts
  • Gender:Male
  • Location:Canada

Posted 05 June 2016 - 04:22 AM

Yep.

#5 depehb

depehb
  • Members
  • 6 posts

Posted 05 June 2016 - 06:14 AM

Yep.

Ok, great thanks





Reply to this topic



  



Also tagged with one or more of these keywords: install order

0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users